Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`interfaces`.`IMessageIMAP``

interface documentation

`class IMessageIMAP(IMessageIMAPPart): (source)`

View In Hierarchy

Undocumented

Method | `getFlags` | Retrieve the flags associated with this message.
Method | `getInternalDate` | Retrieve the date internally associated with this message.
Method | `getUID` | Retrieve the unique identifier associated with this message.

Inherited from `IMessageIMAPPart`:

Method | `getBodyFile` | Retrieve a file object containing only the body of this message.
Method | `getHeaders` | Retrieve a group of message headers.
Method | `getSize` | Retrieve the total size, in octets, of this message.
Method | `getSubPart` | Retrieve a MIME sub-message
Method | `isMultipart` | Indicate whether this message has subparts.

def getFlags(): (source)

Retrieve the flags associated with this message.

Returns
`iterable` | The flags, represented as strings.

def getInternalDate(): (source)

Retrieve the date internally associated with this message.

Returns
`bytes` | An RFC822-formatted date string.

def getUID(): (source)

Retrieve the unique identifier associated with this message.